package ru.yandex.wmconsole.data.poll;

import ru.yandex.misc.enums.IntEnum;
import ru.yandex.misc.enums.IntEnumResolver;

/**
 * User: azakharov
 * Date: 14.03.12
 * Time: 14:36
 */
public enum AnswerTypeEnum implements IntEnum {
    TEXT(1),
    SINGLE(2),
    MULTIPLE(3);

    private final int id;

    AnswerTypeEnum(final int id) {
        this.id = id;
    }

    public int getId() {
        return id;
    }

    @Override
    public int value() {
        return id;
    }

    public static final IntEnumResolver<AnswerTypeEnum> R = IntEnumResolver.r(AnswerTypeEnum.class);
}
